import { StitchAppClient } from 'mongodb-stitch-browser-sdk';
export declare type PrivateStitchAppClient = StitchAppClient & {
    auth: {
        refreshCustomData?(): Promise<void>;
        refreshAccessToken?(): Promise<void>;
        authInfo?: {
            accessToken?: string;
        };
    };
};
/**
 * A helper utility to support using Stitch Authentication with MongoDB Charts
 * ```
 * const client = Stitch.initializeDefaultAppClient('<your-client-app-id>');
 * client.auth.loginWithCredential(...)
 *
 * const sdk = new ChartsEmbedSDK({
 *   getUserToken: () => getRealmUserToken(client)
 * })
 * ```
 */
export declare function getRealmUserToken(client: StitchAppClient): Promise<string>;
